summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-electronics')
-rw-r--r--sci-electronics/eagle/eagle-7.7.0-r1.ebuild4
-rw-r--r--sci-electronics/eagle/eagle-9.6.2-r3.ebuild2
-rw-r--r--sci-electronics/electric/metadata.xml3
-rw-r--r--sci-electronics/espresso-ab/espresso-ab-1.0-r3.ebuild (renamed from sci-electronics/espresso-ab/espresso-ab-1.0-r2.ebuild)13
-rw-r--r--sci-electronics/fritzing/fritzing-0.9.4-r3.ebuild (renamed from sci-electronics/fritzing/fritzing-0.9.4-r2.ebuild)4
-rw-r--r--sci-electronics/gazebo/Manifest1
-rw-r--r--sci-electronics/gazebo/files/gv.patch13
-rw-r--r--sci-electronics/gazebo/gazebo-11.10.2.ebuild2
-rw-r--r--sci-electronics/gazebo/gazebo-11.11.0.ebuild3
-rw-r--r--sci-electronics/gazebo/gazebo-11.12.0.ebuild83
-rw-r--r--sci-electronics/gtkwave/Manifest1
-rw-r--r--sci-electronics/gtkwave/gtkwave-3.3.111.ebuild65
-rw-r--r--sci-electronics/kicad-footprints/Manifest2
-rw-r--r--sci-electronics/kicad-footprints/kicad-footprints-6.0.6.ebuild2
-rw-r--r--sci-electronics/kicad-footprints/kicad-footprints-6.0.7.ebuild36
-rw-r--r--sci-electronics/kicad-footprints/kicad-footprints-6.0.9.ebuild36
-rw-r--r--sci-electronics/kicad-footprints/metadata.xml2
-rw-r--r--sci-electronics/kicad-meta/kicad-meta-6.0.6.ebuild2
-rw-r--r--sci-electronics/kicad-meta/kicad-meta-6.0.7.ebuild30
-rw-r--r--sci-electronics/kicad-meta/kicad-meta-6.0.9.ebuild30
-rw-r--r--sci-electronics/kicad-packages3d/Manifest2
-rw-r--r--sci-electronics/kicad-packages3d/kicad-packages3d-6.0.6.ebuild2
-rw-r--r--sci-electronics/kicad-packages3d/kicad-packages3d-6.0.7.ebuild36
-rw-r--r--sci-electronics/kicad-packages3d/kicad-packages3d-6.0.9.ebuild36
-rw-r--r--sci-electronics/kicad-packages3d/kicad-packages3d-9999.ebuild4
-rw-r--r--sci-electronics/kicad-packages3d/metadata.xml2
-rw-r--r--sci-electronics/kicad-symbols/Manifest2
-rw-r--r--sci-electronics/kicad-symbols/kicad-symbols-6.0.6.ebuild2
-rw-r--r--sci-electronics/kicad-symbols/kicad-symbols-6.0.7.ebuild32
-rw-r--r--sci-electronics/kicad-symbols/kicad-symbols-6.0.9.ebuild32
-rw-r--r--sci-electronics/kicad-symbols/metadata.xml2
-rw-r--r--sci-electronics/kicad-templates/Manifest2
-rw-r--r--sci-electronics/kicad-templates/kicad-templates-6.0.6.ebuild2
-rw-r--r--sci-electronics/kicad-templates/kicad-templates-6.0.7.ebuild28
-rw-r--r--sci-electronics/kicad-templates/kicad-templates-6.0.9.ebuild28
-rw-r--r--sci-electronics/kicad-templates/metadata.xml2
-rw-r--r--sci-electronics/kicad/Manifest2
-rw-r--r--sci-electronics/kicad/kicad-5.1.12-r3.ebuild6
-rw-r--r--sci-electronics/kicad/kicad-6.0.6.ebuild9
-rw-r--r--sci-electronics/kicad/kicad-6.0.7.ebuild174
-rw-r--r--sci-electronics/kicad/kicad-6.0.9.ebuild174
-rw-r--r--sci-electronics/kicad/kicad-9999.ebuild4
-rw-r--r--sci-electronics/kicad/metadata.xml2
-rw-r--r--sci-electronics/klayout/Manifest2
-rw-r--r--sci-electronics/klayout/klayout-0.27.10.ebuild2
-rw-r--r--sci-electronics/klayout/klayout-0.27.12.ebuild (renamed from sci-electronics/klayout/klayout-0.27.7.ebuild)8
-rw-r--r--sci-electronics/klayout/klayout-9999.ebuild4
-rw-r--r--sci-electronics/librepcb/Manifest2
-rw-r--r--sci-electronics/librepcb/files/librepcb-0.1.5-quazip1.x.patch57
-rw-r--r--sci-electronics/librepcb/librepcb-0.1.5.ebuild55
-rw-r--r--sci-electronics/librepcb/librepcb-0.1.6-r1.ebuild (renamed from sci-electronics/librepcb/librepcb-0.1.6.ebuild)2
-rw-r--r--sci-electronics/librepcb/librepcb-0.1.7.ebuild60
-rw-r--r--sci-electronics/librepcb/metadata.xml18
-rw-r--r--sci-electronics/ngspice/ngspice-36.ebuild2
-rw-r--r--sci-electronics/petrify/petrify-4.2-r1.ebuild4
-rw-r--r--sci-electronics/puff/files/puff-20181104-Makefile.patch5
-rw-r--r--sci-electronics/puff/puff-20181104.ebuild9
-rw-r--r--sci-electronics/pulseview/pulseview-0.4.2-r1.ebuild2
-rw-r--r--sci-electronics/pulseview/pulseview-9999.ebuild2
-rw-r--r--sci-electronics/xcircuit/Manifest1
-rw-r--r--sci-electronics/xcircuit/metadata.xml1
-rw-r--r--sci-electronics/xcircuit/xcircuit-3.10.30.ebuild4
-rw-r--r--sci-electronics/xcircuit/xcircuit-3.9.73.ebuild55
-rw-r--r--sci-electronics/xnec2c/Manifest2
-rw-r--r--sci-electronics/xnec2c/xnec2c-4.4.12.ebuild (renamed from sci-electronics/xnec2c/xnec2c-4.4.11.ebuild)0
-rw-r--r--sci-electronics/xoscope/Manifest2
-rw-r--r--sci-electronics/xoscope/files/xoscope-2.2-fno-common.patch16
-rw-r--r--sci-electronics/xoscope/xoscope-2.3.ebuild (renamed from sci-electronics/xoscope/xoscope-2.2.ebuild)14
68 files changed, 988 insertions, 260 deletions
diff --git a/sci-electronics/eagle/eagle-7.7.0-r1.ebuild b/sci-electronics/eagle/eagle-7.7.0-r1.ebuild
index 17b9578f177..713f28d478b 100644
--- a/sci-electronics/eagle/eagle-7.7.0-r1.ebuild
+++ b/sci-electronics/eagle/eagle-7.7.0-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
-inherit eutils
+inherit desktop
DESCRIPTION="CadSoft EAGLE schematic and printed circuit board (PCB) layout editor"
HOMEPAGE="http://www.cadsoft.de"
diff --git a/sci-electronics/eagle/eagle-9.6.2-r3.ebuild b/sci-electronics/eagle/eagle-9.6.2-r3.ebuild
index 9be8ca067dd..9bac254f760 100644
--- a/sci-electronics/eagle/eagle-9.6.2-r3.ebuild
+++ b/sci-electronics/eagle/eagle-9.6.2-r3.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://eagle-updates.circuits.io/downloads/${PV//./_}/Autodesk_EAGLE_$
LICENSE="Autodesk"
SLOT="0"
-KEYWORDS="-* ~amd64"
+KEYWORDS="-* amd64"
QA_PREBUILT="opt/${PN}/*"
RESTRICT="mirror bindist"
diff --git a/sci-electronics/electric/metadata.xml b/sci-electronics/electric/metadata.xml
index d3b26ab4a5d..85cd3ca1d07 100644
--- a/sci-electronics/electric/metadata.xml
+++ b/sci-electronics/electric/metadata.xml
@@ -14,4 +14,7 @@
* Programmable logic (FPGAs)
* ...and much more.
</longdescription>
+ <upstream>
+ <remote-id type="savannah">electric</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/sci-electronics/espresso-ab/espresso-ab-1.0-r2.ebuild b/sci-electronics/espresso-ab/espresso-ab-1.0-r3.ebuild
index cd0bd9019c9..2937cb028c8 100644
--- a/sci-electronics/espresso-ab/espresso-ab-1.0-r2.ebuild
+++ b/sci-electronics/espresso-ab/espresso-ab-1.0-r3.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
-inherit flag-o-matic
+inherit autotools flag-o-matic
DESCRIPTION="POSIX compliant version of the espresso logic minimization tool"
HOMEPAGE="http://www.cs.man.ac.uk/apt/projects/balsa/"
@@ -13,6 +13,13 @@ LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ~ppc ~sparc x86"
+src_prepare() {
+ default
+
+ # Clang 16
+ eautoreconf
+}
+
src_configure() {
append-cflags "-std=gnu89"
default
diff --git a/sci-electronics/fritzing/fritzing-0.9.4-r2.ebuild b/sci-electronics/fritzing/fritzing-0.9.4-r3.ebuild
index 8a0a7c564b1..da0b0ccbba5 100644
--- a/sci-electronics/fritzing/fritzing-0.9.4-r2.ebuild
+++ b/sci-electronics/fritzing/fritzing-0.9.4-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -20,7 +20,7 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
RDEPEND="
- dev-libs/quazip:0=
+ dev-libs/quazip:0=[qt5(+)]
dev-libs/libgit2:=
dev-qt/qtconcurrent:5
dev-qt/qtcore:5
diff --git a/sci-electronics/gazebo/Manifest b/sci-electronics/gazebo/Manifest
index c0eac4fab47..51f9bccaff8 100644
--- a/sci-electronics/gazebo/Manifest
+++ b/sci-electronics/gazebo/Manifest
@@ -1,2 +1,3 @@
DIST gazebo-11.10.2.tar.bz2 56496495 BLAKE2B 09bf370531214e9567d961445797cb50c9e5a81a405720c580d13e6b33029a63dd2cd9930dcbd239c1bf9091a9d5b092bfdef77b0b3524d281a10549e22e7c9a SHA512 8900c483f63cedb8543cfe718b336e3ec372fc0dc3d47ac9cd5378987fae634f16911d3c91fdf70add93b4a090e92f3558beec6c1277e1ba109652dcaf049ac2
DIST gazebo-11.11.0.tar.bz2 56505651 BLAKE2B c3f63a1ee128fd86be914ba9ad7567d0adf337d82772184bbc362373083ad2b79f1172998182a70faf4127fe6f5996d6946e79927c40a384ac5e0eef3b7799c9 SHA512 f9062a54ee4e252219a246124ad0a22570e12f34f7bced8910a14b96541b16337efbba0f824b0ba70adf91d41acfc407eb0cdb19bbd7272151ef9723acc48882
+DIST gazebo-11.12.0.tar.bz2 56542859 BLAKE2B f2da8371fa4655cc831401fcf6ceec8c82d507a93515762c078ac20a78cb4b739c9f373ef53bebc71b5d7e1c1cf4b98928b3e855fca6943a09da554ee19df1cb SHA512 8f60d432ab07084951bbe31c632f04f2fa11500441fb81fe27078a5cb5b67ba681889e1079844d44a5a30df562797d51683fd674942db9fd8c4d853e3e2c5d3e
diff --git a/sci-electronics/gazebo/files/gv.patch b/sci-electronics/gazebo/files/gv.patch
deleted file mode 100644
index 7afa786f477..00000000000
--- a/sci-electronics/gazebo/files/gv.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Index: gazebo-11.11.0/gazebo/gui/qgv/private/QGVCore.h
-===================================================================
---- gazebo-11.11.0.orig/gazebo/gui/qgv/private/QGVCore.h
-+++ gazebo-11.11.0/gazebo/gui/qgv/private/QGVCore.h
-@@ -96,7 +96,7 @@ class QGVCore
- Agiodisc_t memIoDisc;
-
- memIoDisc.afread = memiofread;
-- memIoDisc.putstr = AgIoDisc.putstr;
-+ memIoDisc.printf = AgIoDisc.printf;
- memIoDisc.flush = AgIoDisc.flush;
- rdr.data = cp;
- rdr.len = strlen(cp);
diff --git a/sci-electronics/gazebo/gazebo-11.10.2.ebuild b/sci-electronics/gazebo/gazebo-11.10.2.ebuild
index f009832e677..d813f60aea2 100644
--- a/sci-electronics/gazebo/gazebo-11.10.2.ebuild
+++ b/sci-electronics/gazebo/gazebo-11.10.2.ebuild
@@ -36,7 +36,7 @@ RDEPEND="
dev-qt/qtwidgets:5
dev-qt/qtcore:5
dev-qt/qtopengl:5
- dev-libs/boost:=[threads(+)]
+ dev-libs/boost:=
sci-libs/gdal:=
virtual/libusb:1
dev-libs/libspnav
diff --git a/sci-electronics/gazebo/gazebo-11.11.0.ebuild b/sci-electronics/gazebo/gazebo-11.11.0.ebuild
index 27daf4976fd..4eac05330fc 100644
--- a/sci-electronics/gazebo/gazebo-11.11.0.ebuild
+++ b/sci-electronics/gazebo/gazebo-11.11.0.ebuild
@@ -36,7 +36,7 @@ RDEPEND="
dev-qt/qtwidgets:5
dev-qt/qtcore:5
dev-qt/qtopengl:5
- dev-libs/boost:=[threads(+)]
+ dev-libs/boost:=
sci-libs/gdal:=
virtual/libusb:1
dev-libs/libspnav
@@ -65,7 +65,6 @@ CMAKE_BUILD_TYPE=RelWithDebInfo
PATCHES=(
"${FILESDIR}/qwt2.patch"
"${FILESDIR}/cmake.patch"
- "${FILESDIR}/gv.patch"
)
src_configure() {
diff --git a/sci-electronics/gazebo/gazebo-11.12.0.ebuild b/sci-electronics/gazebo/gazebo-11.12.0.ebuild
new file mode 100644
index 00000000000..4eac05330fc
--- /dev/null
+++ b/sci-electronics/gazebo/gazebo-11.12.0.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake flag-o-matic
+
+DESCRIPTION="A 3D multiple robot simulator with dynamics"
+HOMEPAGE="http://gazebosim.org/"
+SRC_URI="https://osrf-distributions.s3.amazonaws.com/gazebo/releases/${P}.tar.bz2"
+
+LICENSE="Apache-2.0"
+# Subslot = major version = soname of libs
+SLOT="0/11"
+KEYWORDS="~amd64"
+IUSE="cpu_flags_x86_sse2 test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-libs/protobuf-2:=
+ virtual/opengl
+ media-libs/openal
+ net-misc/curl
+ dev-libs/tinyxml
+ >=dev-libs/tinyxml2-6:=
+ dev-libs/libtar
+ dev-cpp/tbb:=
+ >=dev-games/ogre-1.7.4:=[freeimage]
+ <dev-games/ogre-1.10
+ >=media-libs/freeimage-3.15.4[png]
+ sci-libs/libccd
+ >=media-video/ffmpeg-2.6:0=
+ sci-libs/gts
+ >=sci-physics/bullet-2.82:=
+ >=dev-libs/sdformat-9.8:=
+ dev-qt/qtwidgets:5
+ dev-qt/qtcore:5
+ dev-qt/qtopengl:5
+ dev-libs/boost:=
+ sci-libs/gdal:=
+ virtual/libusb:1
+ dev-libs/libspnav
+ media-libs/freeimage
+ sci-libs/hdf5:=[cxx]
+ sys-apps/util-linux
+ >=media-gfx/graphviz-4
+ net-libs/ignition-msgs:5=
+ sci-libs/ignition-math:6=
+ net-libs/ignition-transport:8=
+ sci-libs/ignition-common:3=
+ sci-libs/ignition-fuel-tools:4=
+ x11-libs/qwt:6=[qt5(+)]
+"
+DEPEND="${RDEPEND}
+ dev-qt/qttest:5
+ x11-apps/mesa-progs
+ test? ( dev-libs/libxslt )
+"
+BDEPEND="
+ || ( app-text/ronn-ng app-text/ronn )
+ app-arch/gzip
+ virtual/pkgconfig
+"
+CMAKE_BUILD_TYPE=RelWithDebInfo
+PATCHES=(
+ "${FILESDIR}/qwt2.patch"
+ "${FILESDIR}/cmake.patch"
+)
+
+src_configure() {
+ # find OGRE properly
+ sed -e "s#lib/OGRE#$(get_libdir)/OGRE#" -i cmake/gazebo-config.cmake.in || die
+
+ local mycmakeargs=(
+ "-DUSE_UPSTREAM_CFLAGS=OFF"
+ "-DSSE2_FOUND=$(usex cpu_flags_x86_sse2 TRUE FALSE)"
+ "-DUSE_HOST_CFLAGS=FALSE"
+ "-DBUILD_TESTING=$(usex test TRUE FALSE)"
+ "-DENABLE_SCREEN_TESTS=FALSE"
+ "-DUSE_EXTERNAL_TINYXML2=TRUE"
+ )
+ cmake_src_configure
+}
diff --git a/sci-electronics/gtkwave/Manifest b/sci-electronics/gtkwave/Manifest
index 3f066ed6fcd..35b040d142a 100644
--- a/sci-electronics/gtkwave/Manifest
+++ b/sci-electronics/gtkwave/Manifest
@@ -1 +1,2 @@
DIST gtkwave-3.3.106.tar.gz 3507185 BLAKE2B 89389c6eef2fb80b82b048fc94248cf6b30ec0d8fea1260189f2ea1f143123e0294d00f93a0c25f777b6e2c188041af16f4e26e5206e0c65fe23c1f058b19186 SHA512 4deec8dc88210ae542b8066763265450530756d34babf10c7820fe27b23d01e6d2f084ec74b7b0730a645fcb667ba3c0d2dcfb4111e702a523805041dc96768a
+DIST gtkwave-gtk3-3.3.111.tar.gz 3329907 BLAKE2B 523c5b3cb75581d9828d6a1e61df66a0a85ccc41415c9971affaf347948bc7a3b7850cf8abe4f3e57dab56d2f54722a121a8d3b757993d008e1598e4f2ce8843 SHA512 407c1ca87d9645940201c876846e7e6f5e4af67b919a4f63061adc017b2797be5ba10bb9bf132f1b86dff111a64b774e41b8b1630fc99997b5270622eda44c0c
diff --git a/sci-electronics/gtkwave/gtkwave-3.3.111.ebuild b/sci-electronics/gtkwave/gtkwave-3.3.111.ebuild
new file mode 100644
index 00000000000..0784d1498ca
--- /dev/null
+++ b/sci-electronics/gtkwave/gtkwave-3.3.111.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs xdg
+
+DESCRIPTION="A wave viewer for LXT, LXT2, VZT, GHW and standard Verilog VCD/EVCD files"
+HOMEPAGE="http://gtkwave.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${PN}-gtk3-${PV}.tar.gz"
+
+LICENSE="GPL-2 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples fasttree judy lzma packed tcl"
+
+RDEPEND="
+ dev-libs/glib:2
+ sys-libs/zlib
+ x11-libs/pango
+ x11-libs/gtk+:3[wayland]
+ judy? ( dev-libs/judy )
+ tcl? ( dev-lang/tcl:0 dev-lang/tk:0 )
+ lzma? ( app-arch/xz-utils )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-util/gperf
+ virtual/pkgconfig"
+
+# Add '-gtk3-' to the pacakge name
+S="${WORKDIR}/${PN}-gtk3-${PV}"
+
+src_prepare() {
+ default
+
+ # do not install doc and examples by default
+ sed -i -e 's/doc examples//' Makefile.in || die
+}
+
+src_configure() {
+ econf \
+ --disable-mime-update \
+ --enable-largefile \
+ --enable-gtk3 \
+ $(use_enable packed struct-pack) \
+ $(use_enable tcl) \
+ $(use_enable lzma xz) \
+ $(use_enable fasttree) \
+ $(use_enable judy)
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)"
+}
+
+src_install() {
+ default
+
+ use doc && dodoc doc/${PN}.odt
+ if use examples; then
+ rm examples/Makefile* || die
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
diff --git a/sci-electronics/kicad-footprints/Manifest b/sci-electronics/kicad-footprints/Manifest
index b80b7d2eb0a..6fcf9b0ad44 100644
--- a/sci-electronics/kicad-footprints/Manifest
+++ b/sci-electronics/kicad-footprints/Manifest
@@ -1,2 +1,4 @@
DIST kicad-footprints-5.1.12.tar.bz2 3382783 BLAKE2B 6f7725bebd6099d86780ed2582aacfb3abff4db6065a6a17fcd7631782a0c2e1e8a23064f80cd95c79bbaca8da52003f01fce7e398e95596e45f15b144eeef7f SHA512 e717886dc742f37b626226065953a36829b50f9bf203efe1dbeab41d4dbe3a898bd65fbde9fa059ea9374ea92905faeb0ccd19dfb1a62f2d6a445c07f90b89a9
DIST kicad-footprints-6.0.6.tar.gz 31647789 BLAKE2B 3af7027987b25c4a3ee19925acaa539cea643656e1662f0b80ec76c807aca9ef7433228fc88cdd0c34b80e7bbb886abd5c11765983e9adc5b347ce01bd4b51c4 SHA512 6d93a90bfc0b246c70b336aa9265a051a33d8b490a81271fb85ab73cd19184a031f3429ce8ae9e1650ece475a30f0f283c43c5bb2d1f427b4129d4ed61480ac0
+DIST kicad-footprints-6.0.7.tar.gz 31657956 BLAKE2B 127ac81c83841919903b300af89c2126e1f53ff1c03d6dcd2466eac8d4733da4f923831e24aa43fca2b5c6d9ee4389bd67f0bd2b4d300adb5356e261b14e897e SHA512 e0959846e057df46e38385d1fe71895930435fc51ad03bbc893481264d969d9739967b069855b59341388fec5458a4f2c71c527b7af7357437c5606c91f5436d
+DIST kicad-footprints-6.0.9.tar.gz 31723499 BLAKE2B 33856d28a52f8f516c96c38c68aabe3d57c3f7eade5cb654cd0dca15f36263b9860f252468edf0b94f228c2497ef7e862cebfd023e2a166ce1696a89c1cff1e1 SHA512 43436a61fb1be66dc6cd6079e49e7af0f7d374f074874fd008eb45c2b3faee596e102173a274064a536f11c4525f223c9e8c2a33969811414811a226e69affaa
diff --git a/sci-electronics/kicad-footprints/kicad-footprints-6.0.6.ebuild b/sci-electronics/kicad-footprints/kicad-footprints-6.0.6.ebuild
index e1268b9afd0..2417f3ce4b7 100644
--- a/sci-electronics/kicad-footprints/kicad-footprints-6.0.6.ebuild
+++ b/sci-electronics/kicad-footprints/kicad-footprints-6.0.6.ebuild
@@ -17,7 +17,7 @@ else
SRC_URI="https://gitlab.com/kicad/libraries/${PN}/-/archive/${MY_PV}/${MY_P}.tar.gz -> ${P}.tar.gz"
if [[ ${PV} != *_rc* ]] ; then
- KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ KEYWORDS="amd64 ~arm64 ~riscv ~x86"
fi
S="${WORKDIR}/${PN}-${MY_PV}"
diff --git a/sci-electronics/kicad-footprints/kicad-footprints-6.0.7.ebuild b/sci-electronics/kicad-footprints/kicad-footprints-6.0.7.ebuild
new file mode 100644
index 00000000000..e1268b9afd0
--- /dev/null
+++ b/sci-electronics/kicad-footprints/kicad-footprints-6.0.7.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Electronic Schematic and PCB design tools footprint libraries"
+HOMEPAGE="https://gitlab.com/kicad/libraries/kicad-footprints"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://gitlab.com/kicad/libraries/kicad-footprints.git"
+ inherit git-r3
+else
+ MY_PV="${PV/_rc/-rc}"
+ MY_P="${PN}-${MY_PV}"
+ SRC_URI="https://gitlab.com/kicad/libraries/${PN}/-/archive/${MY_PV}/${MY_P}.tar.gz -> ${P}.tar.gz"
+
+ if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ fi
+
+ S="${WORKDIR}/${PN}-${MY_PV}"
+fi
+
+LICENSE="CC-BY-SA-4.0"
+SLOT="0"
+IUSE=""
+
+DEPEND=""
+RDEPEND=">=sci-electronics/kicad-6.0.0"
+
+if [[ ${PV} == 9999 ]] ; then
+# x11-misc-util/macros only required on live ebuilds
+ BDEPEND+=" >=x11-misc/util-macros-1.18"
+fi
diff --git a/sci-electronics/kicad-footprints/kicad-footprints-6.0.9.ebuild b/sci-electronics/kicad-footprints/kicad-footprints-6.0.9.ebuild
new file mode 100644
index 00000000000..e1268b9afd0
--- /dev/null
+++ b/sci-electronics/kicad-footprints/kicad-footprints-6.0.9.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Electronic Schematic and PCB design tools footprint libraries"
+HOMEPAGE="https://gitlab.com/kicad/libraries/kicad-footprints"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://gitlab.com/kicad/libraries/kicad-footprints.git"
+ inherit git-r3
+else
+ MY_PV="${PV/_rc/-rc}"
+ MY_P="${PN}-${MY_PV}"
+ SRC_URI="https://gitlab.com/kicad/libraries/${PN}/-/archive/${MY_PV}/${MY_P}.tar.gz -> ${P}.tar.gz"
+
+ if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ fi
+
+ S="${WORKDIR}/${PN}-${MY_PV}"
+fi
+
+LICENSE="CC-BY-SA-4.0"
+SLOT="0"
+IUSE=""
+
+DEPEND=""
+RDEPEND=">=sci-electronics/kicad-6.0.0"
+
+if [[ ${PV} == 9999 ]] ; then
+# x11-misc-util/macros only required on live ebuilds
+ BDEPEND+=" >=x11-misc/util-macros-1.18"
+fi
diff --git a/sci-electronics/kicad-footprints/metadata.xml b/sci-electronics/kicad-footprints/metadata.xml
index 967960d0c9c..fefcdb7b619 100644
--- a/sci-electronics/kicad-footprints/metadata.xml
+++ b/sci-electronics/kicad-footprints/metadata.xml
@@ -16,6 +16,6 @@
libs and 3d model libs.
</longdescription>
<upstream>
- <remote-id type="github">kicad/kicad-footprints</remote-id>
+ <remote-id type="gitlab">kicad/libraries/kicad-footprints</remote-id>
</upstream>
</pkgmetadata>
diff --git a/sci-electronics/kicad-meta/kicad-meta-6.0.6.ebuild b/sci-electronics/kicad-meta/kicad-meta-6.0.6.ebuild
index 9b332cea06f..f61d2812931 100644
--- a/sci-electronics/kicad-meta/kicad-meta-6.0.6.ebuild
+++ b/sci-electronics/kicad-meta/kicad-meta-6.0.6.ebuild
@@ -11,7 +11,7 @@ LICENSE="metapackage"
SLOT="0"
if [[ ${PV} != *_rc* ]] ; then
- KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ KEYWORDS="amd64 ~arm64 ~riscv ~x86"
fi
IUSE="doc minimal"
diff --git a/sci-electronics/kicad-meta/kicad-meta-6.0.7.ebuild b/sci-electronics/kicad-meta/kicad-meta-6.0.7.ebuild
new file mode 100644
index 00000000000..9b332cea06f
--- /dev/null
+++ b/sci-electronics/kicad-meta/kicad-meta-6.0.7.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Electronic Schematic and PCB design tools (meta package)"
+HOMEPAGE="http://www.kicad.org"
+SRC_URI=""
+
+LICENSE="metapackage"
+SLOT="0"
+
+if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+fi
+
+IUSE="doc minimal"
+
+RDEPEND="
+ >=sci-electronics/kicad-${PV}
+ >=sci-electronics/kicad-symbols-${PV}
+ >=sci-electronics/kicad-footprints-${PV}
+ doc? (
+ >=app-doc/kicad-doc-${PV}
+ )
+ !minimal? (
+ >=sci-electronics/kicad-packages3d-${PV}
+ >=sci-electronics/kicad-templates-${PV}
+ )
+"
diff --git a/sci-electronics/kicad-meta/kicad-meta-6.0.9.ebuild b/sci-electronics/kicad-meta/kicad-meta-6.0.9.ebuild
new file mode 100644
index 00000000000..9b332cea06f
--- /dev/null
+++ b/sci-electronics/kicad-meta/kicad-meta-6.0.9.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Electronic Schematic and PCB design tools (meta package)"
+HOMEPAGE="http://www.kicad.org"
+SRC_URI=""
+
+LICENSE="metapackage"
+SLOT="0"
+
+if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+fi
+
+IUSE="doc minimal"
+
+RDEPEND="
+ >=sci-electronics/kicad-${PV}
+ >=sci-electronics/kicad-symbols-${PV}
+ >=sci-electronics/kicad-footprints-${PV}
+ doc? (
+ >=app-doc/kicad-doc-${PV}
+ )
+ !minimal? (
+ >=sci-electronics/kicad-packages3d-${PV}
+ >=sci-electronics/kicad-templates-${PV}
+ )
+"
diff --git a/sci-electronics/kicad-packages3d/Manifest b/sci-electronics/kicad-packages3d/Manifest
index bf5c8fd2b3e..3e37757bcfb 100644
--- a/sci-electronics/kicad-packages3d/Manifest
+++ b/sci-electronics/kicad-packages3d/Manifest
@@ -1,2 +1,4 @@
DIST kicad-packages3d-5.1.12.tar.bz2 727191578 BLAKE2B 534ba480de72ffbc8ac0968e5a7b04f2b7ccfb0ef8bb88bdad7e4e6d90536f9ae7bd101316512e1fa2e27b607fd0dd8e53d0729e48368362177b066c6bab3802 SHA512 eb4895e0c46448a74acf10e8c72dee6ea89fee9d53b93c0927d592f4ee944497b642ed575b1b5457ff0db731f654d054d539aff007a17b8d8366c03edb15b6d2
DIST kicad-packages3d-6.0.6.tar.gz 951710688 BLAKE2B 16176514519897167807b9c2d6659b16d38574484bc09fd871c97ea943531f8726a8173b5a3d143818397eb1086db0d6bda43add357c95e92bffac05560ec9f2 SHA512 f8231c4ce508eb379ceb397cf6e9f963411a0a5cee5d1fa9a9e929c964662d391ab12555c4d3e8bca1b9507338571f3036af7f24e6a4d093f8f2aa3ba93e9345
+DIST kicad-packages3d-6.0.7.tar.gz 952830693 BLAKE2B 0eec72303c3146f3b11092a2e7129e53b68fefa4a869e9e87302aa04e092d96514f12a2344b8964a13701a1d7198ad39848b5496c81ae0090ce41670b4a7618f SHA512 cbbeaa85df3e2b9a8c8616994607ff446b8d97dc039562b9c3823ad8cf2efabc02eb49f1a34b6ac3545db21dfbb264d79d05f2edeb2c79a13fd1093999f331f9
+DIST kicad-packages3d-6.0.9.tar.gz 953182554 BLAKE2B a0f9810d1236c3ef1b0adae3cc2f1d8172fb52add6a9d5666dd32431725a1d3fd0456119ef21b05bd390ec90fce359b46e846f0af063feb4f8d97bc69da57f68 SHA512 fe014b35ce9071ed48d00481d509fba678dc0bea5170f626de9b18c0e0285cb441fcc635197da40af869e35c50104a9a69d991348d6031293ee166b734ba7cc9
diff --git a/sci-electronics/kicad-packages3d/kicad-packages3d-6.0.6.ebuild b/sci-electronics/kicad-packages3d/kicad-packages3d-6.0.6.ebuild
index 1c1cdb3541f..ec626e8dff3 100644
--- a/sci-electronics/kicad-packages3d/kicad-packages3d-6.0.6.ebuild
+++ b/sci-electronics/kicad-packages3d/kicad-packages3d-6.0.6.ebuild
@@ -19,7 +19,7 @@ else
SRC_URI="https://gitlab.com/kicad/libraries/${PN}/-/archive/${MY_PV}/${MY_P}.tar.gz -> ${P}.tar.gz"
if [[ ${PV} != *_rc* ]] ; then
- KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ KEYWORDS="amd64 ~arm64 ~riscv ~x86"
fi
S="${WORKDIR}/${PN/3d/3D}-${MY_PV}-${MY_HASH}"
diff --git a/sci-electronics/kicad-packages3d/kicad-packages3d-6.0.7.ebuild b/sci-electronics/kicad-packages3d/kicad-packages3d-6.0.7.ebuild
new file mode 100644
index 00000000000..5646b83a340
--- /dev/null
+++ b/sci-electronics/kicad-packages3d/kicad-packages3d-6.0.7.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit check-reqs cmake
+
+DESCRIPTION="Electronic Schematic and PCB design tools 3D package libraries"
+HOMEPAGE="https://gitlab.com/kicad/libraries/kicad-packages3D"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://gitlab.com/kicad/libraries/kicad-packages3D.git"
+ inherit git-r3
+else
+ MY_PV="${PV/_rc/-rc}"
+ MY_P="${PN}-${MY_PV}"
+ SRC_URI="https://gitlab.com/kicad/libraries/kicad-packages3D/-/archive/${MY_PV}/kicad-packages3D-${MY_PV}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/${PN/3d/3D}-${MY_PV}"
+
+ if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ fi
+fi
+
+IUSE="+occ"
+LICENSE="CC-BY-SA-4.0"
+SLOT="0"
+
+RDEPEND=">=sci-electronics/kicad-6.0.0[occ=]"
+
+if [[ ${PV} == 9999 ]] ; then
+ # x11-misc-util/macros only required on live ebuilds
+ BDEPEND=">=x11-misc/util-macros-1.18"
+fi
+
+CHECKREQS_DISK_BUILD="11G"
diff --git a/sci-electronics/kicad-packages3d/kicad-packages3d-6.0.9.ebuild b/sci-electronics/kicad-packages3d/kicad-packages3d-6.0.9.ebuild
new file mode 100644
index 00000000000..5646b83a340
--- /dev/null
+++ b/sci-electronics/kicad-packages3d/kicad-packages3d-6.0.9.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit check-reqs cmake
+
+DESCRIPTION="Electronic Schematic and PCB design tools 3D package libraries"
+HOMEPAGE="https://gitlab.com/kicad/libraries/kicad-packages3D"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://gitlab.com/kicad/libraries/kicad-packages3D.git"
+ inherit git-r3
+else
+ MY_PV="${PV/_rc/-rc}"
+ MY_P="${PN}-${MY_PV}"
+ SRC_URI="https://gitlab.com/kicad/libraries/kicad-packages3D/-/archive/${MY_PV}/kicad-packages3D-${MY_PV}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/${PN/3d/3D}-${MY_PV}"
+
+ if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ fi
+fi
+
+IUSE="+occ"
+LICENSE="CC-BY-SA-4.0"
+SLOT="0"
+
+RDEPEND=">=sci-electronics/kicad-6.0.0[occ=]"
+
+if [[ ${PV} == 9999 ]] ; then
+ # x11-misc-util/macros only required on live ebuilds
+ BDEPEND=">=x11-misc/util-macros-1.18"
+fi
+
+CHECKREQS_DISK_BUILD="11G"
diff --git a/sci-electronics/kicad-packages3d/kicad-packages3d-9999.ebuild b/sci-electronics/kicad-packages3d/kicad-packages3d-9999.ebuild
index 75bc70ca864..73ab0306ec3 100644
--- a/sci-electronics/kicad-packages3d/kicad-packages3d-9999.ebuild
+++ b/sci-electronics/kicad-packages3d/kicad-packages3d-9999.ebuild
@@ -14,8 +14,8 @@ if [[ ${PV} == 9999 ]]; then
else
MY_PV="${PV/_rc/-rc}"
MY_P="${PN}-${MY_PV}"
- SRC_URI="https://gitlab.com/kicad/libraries/${PN}/-/archive/${MY_PV}/${MY_P}.tar.gz -> ${P}.tar.gz"
- S="${WORKDIR}/${PN/3d/3D}-${MY_PV}" # check for directory hash
+ SRC_URI="https://gitlab.com/kicad/libraries/kicad-packages3D/-/archive/${MY_PV}/kicad-packages3D-${MY_PV}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/${PN/3d/3D}-${MY_PV}"
if [[ ${PV} != *_rc* ]] ; then
KEYWORDS="~amd64 ~arm64 ~x86"
diff --git a/sci-electronics/kicad-packages3d/metadata.xml b/sci-electronics/kicad-packages3d/metadata.xml
index c3ec4ca93a1..9a66c2bf0ec 100644
--- a/sci-electronics/kicad-packages3d/metadata.xml
+++ b/sci-electronics/kicad-packages3d/metadata.xml
@@ -21,6 +21,6 @@
</flag>
</use>
<upstream>
- <remote-id type="github">kicad/kicad-packages3d</remote-id>
+ <remote-id type="gitlab">kicad/libraries/kicad-packages3D</remote-id>
</upstream>
</pkgmetadata>
diff --git a/sci-electronics/kicad-symbols/Manifest b/sci-electronics/kicad-symbols/Manifest
index 9a66aa3fe60..406285e3110 100644
--- a/sci-electronics/kicad-symbols/Manifest
+++ b/sci-electronics/kicad-symbols/Manifest
@@ -1,2 +1,4 @@
DIST kicad-symbols-5.1.12.tar.bz2 1815145 BLAKE2B e3a74c0e2cb24f4286cdd7fa63b62c72c39575475305680ba8e19d5b3acb5c6cbff1e17d37d169043949ad89ffb9b94f0341e1faf7d063c1cf9872d31b863e21 SHA512 32e73b8a43e54779e4b95fc13505d603c7ef70600467a1e38f2685288aa9223ca29cc44a552d8c02e153cbf3048faa59610bc92e81dbbed7a432c16db0bd05f6
DIST kicad-symbols-6.0.6.tar.gz 4845755 BLAKE2B 32bf6a03f5f06be09b571e0d5470059bc799d662aefd40554e6d9603f29862af3d75f600218f715026349216bbc1a6ea3000eff5a3a5ef8c66a8643f83872090 SHA512 edd8f2d2d34c0431bd23a8ae0433f2ce311aebecef4672ddf7b5d1bfaf71bf4cd8f98f3dcaa9e1662f5a928e204aff834b5e19cea77a31d2e3a23373f760406c
+DIST kicad-symbols-6.0.7.tar.gz 4846798 BLAKE2B 1691027e1bb9e93ee4e390590e748ff0dc0994d740f999a1220c9897c44deb71b62de2df4a1cb8817cca828317b3d7ac7a678bcff1a9570abedf3b9cce518541 SHA512 27b05f46b48de338266a713da92cf96af59918fbc4850de05bce5ddf5ed9b2d7e949cbbf8c23b22663c2388824f8de464bafe1df31e829620c0ff19f4e7f7be2
+DIST kicad-symbols-6.0.9.tar.gz 4854079 BLAKE2B ba50c3062dc01145239d0950072bcaa6b61b2dbcf954fcf6e96e0d06c2c9952bd571c81a0e05dcdff462524c38e8c8807752e7d854eb7684397634414b55b8ab SHA512 2cc44ead8029cd502cc5301b4515aa23275d32068e091a0a4a645f6fd9ed88f2b7d329d9faa7e66cde58cedeb47810c66db8e6f9313c2bbfe18e5a272f82a163
diff --git a/sci-electronics/kicad-symbols/kicad-symbols-6.0.6.ebuild b/sci-electronics/kicad-symbols/kicad-symbols-6.0.6.ebuild
index 02943f2ff69..ae646b3be79 100644
--- a/sci-electronics/kicad-symbols/kicad-symbols-6.0.6.ebuild
+++ b/sci-electronics/kicad-symbols/kicad-symbols-6.0.6.ebuild
@@ -15,7 +15,7 @@ else
SRC_URI="https://gitlab.com/kicad/libraries/${PN}/-/archive/${PV}/${P}.tar.gz"
if [[ ${PV} != *_rc* ]] ; then
- KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ KEYWORDS="amd64 ~arm64 ~riscv ~x86"
fi
fi
diff --git a/sci-electronics/kicad-symbols/kicad-symbols-6.0.7.ebuild b/sci-electronics/kicad-symbols/kicad-symbols-6.0.7.ebuild
new file mode 100644
index 00000000000..02943f2ff69
--- /dev/null
+++ b/sci-electronics/kicad-symbols/kicad-symbols-6.0.7.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Electronic Schematic and PCB design tools symbol libraries"
+HOMEPAGE="https://gitlab.com/kicad/libraries/kicad-symbols"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://gitlab.com/kicad/libraries/kicad-symbols.git"
+ inherit git-r3
+else
+ SRC_URI="https://gitlab.com/kicad/libraries/${PN}/-/archive/${PV}/${P}.tar.gz"
+
+ if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ fi
+fi
+
+LICENSE="CC-BY-SA-4.0"
+SLOT="0"
+IUSE=""
+
+DEPEND=""
+RDEPEND=">=sci-electronics/kicad-6.0.0"
+
+if [[ ${PV} == 9999 ]] ; then
+ # x11-misc-util/macros only required on live ebuilds
+ BDEPEND+=" >=x11-misc/util-macros-1.18"
+fi
diff --git a/sci-electronics/kicad-symbols/kicad-symbols-6.0.9.ebuild b/sci-electronics/kicad-symbols/kicad-symbols-6.0.9.ebuild
new file mode 100644
index 00000000000..02943f2ff69
--- /dev/null
+++ b/sci-electronics/kicad-symbols/kicad-symbols-6.0.9.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Electronic Schematic and PCB design tools symbol libraries"
+HOMEPAGE="https://gitlab.com/kicad/libraries/kicad-symbols"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://gitlab.com/kicad/libraries/kicad-symbols.git"
+ inherit git-r3
+else
+ SRC_URI="https://gitlab.com/kicad/libraries/${PN}/-/archive/${PV}/${P}.tar.gz"
+
+ if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ fi
+fi
+
+LICENSE="CC-BY-SA-4.0"
+SLOT="0"
+IUSE=""
+
+DEPEND=""
+RDEPEND=">=sci-electronics/kicad-6.0.0"
+
+if [[ ${PV} == 9999 ]] ; then
+ # x11-misc-util/macros only required on live ebuilds
+ BDEPEND+=" >=x11-misc/util-macros-1.18"
+fi
diff --git a/sci-electronics/kicad-symbols/metadata.xml b/sci-electronics/kicad-symbols/metadata.xml
index 93fa289cfe3..52d6a3a9dc6 100644
--- a/sci-electronics/kicad-symbols/metadata.xml
+++ b/sci-electronics/kicad-symbols/metadata.xml
@@ -15,6 +15,6 @@
best used in combination with the official footprint libs.
</longdescription>
<upstream>
- <remote-id type="github">kicad/kicad-symbols</remote-id>
+ <remote-id type="gitlab">kicad/libraries/kicad-symbols</remote-id>
</upstream>
</pkgmetadata>
diff --git a/sci-electronics/kicad-templates/Manifest b/sci-electronics/kicad-templates/Manifest
index 711ef36ef48..284c673e81c 100644
--- a/sci-electronics/kicad-templates/Manifest
+++ b/sci-electronics/kicad-templates/Manifest
@@ -1,2 +1,4 @@
DIST kicad-templates-5.1.12.tar.bz2 1552173 BLAKE2B 51791729e049aa835f15b80f783d07c099dd177783b1a78209e7c7db709a3b0a18bd22572227ab5193d4da955796bc4c78f502fdedd275f379f84fa49108a324 SHA512 4f44816fa78048c0db93ecd10ae980236bc5ef1ed5170270ac761dd5fc32d08a5c8bf733837e6dceecf736f75fa09780326af813de04cbd69345cf376815d430
DIST kicad-templates-6.0.6.tar.gz 1057646 BLAKE2B 3bca2c6557ea8879d53a24a9a97872235c7d6289259936744a098745d0aaca9c2e397d471aa738d0007813c77e8a299c2975393bc0c0e62212be293cd210c049 SHA512 b9c4df8b7da9f5e3405a942c3afb09f5c387e311927042889211fb3c3a2a4610a1ccdc94ca2c1e1ae06e351617b15882adf5899f6dbfb392611feb5711e5be92
+DIST kicad-templates-6.0.7.tar.gz 1057666 BLAKE2B 62b6d6b93cf94c6085c69f349259eeaf9d7fdb9aa9faf631c4ee89de20d9f2c3d70e6afa9ff90ccaf9bbb3ad1877907d375ae6777dda3a841d3e263ea9edf2d6 SHA512 c04f2754d2ed8e18fdb054ecaa900a80f8f937096513dbe0a9dbd89c341490657ad673488bf9f3a3d0850861c99524127128b8efb1283e2df3feefcea8806d53
+DIST kicad-templates-6.0.9.tar.gz 1057613 BLAKE2B c2c0c78093995629216cbcb93c40a05e1494da90a6cb91909e54fcb115fb7d6e10b3015a94200fef61407a6beccdc0f2bea84319531b39562bdf19ccf243a726 SHA512 f5e82599dc8532b2f286d62e650084b4d0470308a2cf447831027a85ea1028587342d51d4005018449f17fcbc9bd9f6ed850d7e3818c88692906790ef8981471
diff --git a/sci-electronics/kicad-templates/kicad-templates-6.0.6.ebuild b/sci-electronics/kicad-templates/kicad-templates-6.0.6.ebuild
index fcdb94bb2f1..87f5461747d 100644
--- a/sci-electronics/kicad-templates/kicad-templates-6.0.6.ebuild
+++ b/sci-electronics/kicad-templates/kicad-templates-6.0.6.ebuild
@@ -16,7 +16,7 @@ else
SRC_URI="https://gitlab.com/kicad/libraries/${PN}/-/archive/${MY_PV}/${MY_P}.tar.gz -> ${P}.tar.gz"
if [[ ${PV} != *_rc* ]] ; then
- KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ KEYWORDS="amd64 ~arm64 ~riscv ~x86"
fi
S="${WORKDIR}/${PN}-${MY_PV}"
diff --git a/sci-electronics/kicad-templates/kicad-templates-6.0.7.ebuild b/sci-electronics/kicad-templates/kicad-templates-6.0.7.ebuild
new file mode 100644
index 00000000000..fcdb94bb2f1
--- /dev/null
+++ b/sci-electronics/kicad-templates/kicad-templates-6.0.7.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Electronic Schematic and PCB design tools project templates"
+HOMEPAGE="https://github.com/kicad/kicad-templates"
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://gitlab.com/kicad/libraries/${PN}.git"
+ inherit git-r3
+else
+ MY_PV="${PV/_rc/-rc}"
+ MY_P="${PN}-${MY_PV}"
+ SRC_URI="https://gitlab.com/kicad/libraries/${PN}/-/archive/${MY_PV}/${MY_P}.tar.gz -> ${P}.tar.gz"
+
+ if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ fi
+
+ S="${WORKDIR}/${PN}-${MY_PV}"
+fi
+
+LICENSE="CC-BY-SA-4.0"
+SLOT="0"
+
+RDEPEND=">=sci-electronics/kicad-6.0.0"
diff --git a/sci-electronics/kicad-templates/kicad-templates-6.0.9.ebuild b/sci-electronics/kicad-templates/kicad-templates-6.0.9.ebuild
new file mode 100644
index 00000000000..fcdb94bb2f1
--- /dev/null
+++ b/sci-electronics/kicad-templates/kicad-templates-6.0.9.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Electronic Schematic and PCB design tools project templates"
+HOMEPAGE="https://github.com/kicad/kicad-templates"
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://gitlab.com/kicad/libraries/${PN}.git"
+ inherit git-r3
+else
+ MY_PV="${PV/_rc/-rc}"
+ MY_P="${PN}-${MY_PV}"
+ SRC_URI="https://gitlab.com/kicad/libraries/${PN}/-/archive/${MY_PV}/${MY_P}.tar.gz -> ${P}.tar.gz"
+
+ if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ fi
+
+ S="${WORKDIR}/${PN}-${MY_PV}"
+fi
+
+LICENSE="CC-BY-SA-4.0"
+SLOT="0"
+
+RDEPEND=">=sci-electronics/kicad-6.0.0"
diff --git a/sci-electronics/kicad-templates/metadata.xml b/sci-electronics/kicad-templates/metadata.xml
index 965568bdcfd..a93beae17f6 100644
--- a/sci-electronics/kicad-templates/metadata.xml
+++ b/sci-electronics/kicad-templates/metadata.xml
@@ -10,6 +10,6 @@
<name>Proxy Maintainers</name>
</maintainer>
<upstream>
- <remote-id type="github">kicad/kicad-templates</remote-id>
+ <remote-id type="gitlab">kicad/libraries/kicad-templates</remote-id>
</upstream>
</pkgmetadata>
diff --git a/sci-electronics/kicad/Manifest b/sci-electronics/kicad/Manifest
index 01197618293..b1a0ea3ed00 100644
--- a/sci-electronics/kicad/Manifest
+++ b/sci-electronics/kicad/Manifest
@@ -1,2 +1,4 @@
DIST kicad-5.1.12.tar.bz2 18581842 BLAKE2B f04369fecded6fb07376efa209ddf5fcc693e73018ed728003529cdd0e6ef4a059c28106db1acf18834d938c3fbe4b9df5b5c8e0874989d35f74cf67414e6c76 SHA512 c0e5ad5b360ef788b427755aa71eeaec1a19b7520a00bb94fafba47e291f6ba067c598004efd515287800cd41f7da399d0389121e53e9669026c62f21b0a65ea
DIST kicad-6.0.6.tar.gz 45086249 BLAKE2B fbf1f11cbf4838186e1ecb42127f7b182d3cd13b4af147211c85244d361cbf83387f5d102efdc80a63cfff36e343e6c4e07fef7f95dac4c6666844c5bc9d0ec2 SHA512 c472a6b81e3065e0499cad8467527d3531dc4d5861f50079ecb2ae6fccaf2c4d24fbeae8e9fe0cdde5ef548458fcef9615d6539426abe391a629dd539406065a
+DIST kicad-6.0.7.tar.gz 45143677 BLAKE2B 4ab9132be84cb6c6c566a826e5966f4fe64922dcd66f78c558126b37a276e075af80440da35071c864457298f6f964ba15511d0038424f473c3fb079d5f042e6 SHA512 0466650d166becbde23f1202e8bbe73ac7c743b5baad9608252fe4e960f0d15aad363664b69d840ef4568bf6d1c042b94252afce8657594a5f8193c979613e0e
+DIST kicad-6.0.9.tar.gz 45166663 BLAKE2B e4d45c589a8e76d7c121ac4ab7adefc5fd44d4ccbff7140196caec56c309f6e83d47a3ea9cf79f59de57c3bda43b3d32a2bea82c5850c2a7a58a6e1db27a06a7 SHA512 49e6bd3c9f6e0c9839c4fac18dc12dc7ef16183f6fbe8091992e2223c7fb085b3119d46797c0b0cf86fd2813e3c4def9eb1f2adbff1bf072a363f1a501da9354
diff --git a/sci-electronics/kicad/kicad-5.1.12-r3.ebuild b/sci-electronics/kicad/kicad-5.1.12-r3.ebuild
index 2f202db0313..a601eb206a5 100644
--- a/sci-electronics/kicad/kicad-5.1.12-r3.ebuild
+++ b/sci-electronics/kicad/kicad-5.1.12-r3.ebuild
@@ -16,14 +16,14 @@ SRC_URI="https://gitlab.com/kicad/code/${PN}/-/archive/${PV}/${P}.tar.bz2"
LICENSE="GPL-2+ GPL-3+ Boost-1.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="doc examples github +ngspice +occ openmp +python"
+IUSE="doc examples github ngspice +occ openmp +python"
REQUIRED_USE="
python? ( ${PYTHON_REQUIRED_USE} )
"
# Depend on opencascade:0 to get unslotted variant (so we know path to it), bug #833301
COMMON_DEPEND="
- >=dev-libs/boost-1.61:=[context,nls,threads(+)]
+ dev-libs/boost:=[context,nls]
media-libs/freeglut
media-libs/glew:0=
>=media-libs/glm-0.9.9.1
@@ -38,7 +38,7 @@ COMMON_DEPEND="
occ? ( <sci-libs/opencascade-7.5.3:0=[vtk(+)] )
python? (
$(python_gen_cond_dep '
- >=dev-libs/boost-1.61:=[context,nls,threads(+),python,${PYTHON_USEDEP}]
+ dev-libs/boost:=[context,nls,python,${PYTHON_USEDEP}]
dev-python/wxpython:4.0[${PYTHON_USEDEP}]
')
${PYTHON_DEPS}
diff --git a/sci-electronics/kicad/kicad-6.0.6.ebuild b/sci-electronics/kicad/kicad-6.0.6.ebuild
index c152b8099cd..ca3edd93956 100644
--- a/sci-electronics/kicad/kicad-6.0.6.ebuild
+++ b/sci-electronics/kicad/kicad-6.0.6.ebuild
@@ -21,14 +21,14 @@ else
S="${WORKDIR}/${PN}-${MY_PV}"
if [[ ${PV} != *_rc* ]] ; then
- KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ KEYWORDS="amd64 ~arm64 ~riscv ~x86"
fi
fi
# BSD for bundled pybind
LICENSE="GPL-2+ GPL-3+ Boost-1.0 BSD"
SLOT="0"
-IUSE="doc examples +ngspice nls openmp +occ +pcm"
+IUSE="doc examples ngspice nls openmp +occ +pcm"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
@@ -37,7 +37,7 @@ REQUIRED_USE="${PYTHON_REQUIRED_USE}"
# Depend on opencascade:0 to get unslotted variant (so we know path to it), bug #833301
COMMON_DEPEND="
!sci-electronics/kicad-i18n
- >=dev-libs/boost-1.61:=[context,nls]
+ dev-libs/boost:=[context,nls]
media-libs/freeglut
media-libs/glew:0=
>=media-libs/glm-0.9.9.1
@@ -46,7 +46,7 @@ COMMON_DEPEND="
>=x11-libs/pixman-0.30
x11-libs/wxGTK:${WX_GTK_VER}[X,opengl]
$(python_gen_cond_dep '
- >=dev-libs/boost-1.61:=[context,nls,python,${PYTHON_USEDEP}]
+ dev-libs/boost:=[context,nls,python,${PYTHON_USEDEP}]
dev-python/wxpython:4.0[${PYTHON_USEDEP}]
')
${PYTHON_DEPS}
@@ -159,7 +159,6 @@ pkg_postinst() {
optfeature "Component footprints library" sci-electronics/kicad-footprints
optfeature "3D models of components " sci-electronics/kicad-packages3d
optfeature "Project templates" sci-electronics/kicad-templates
- optfeature "Different languages for GUI" sci-electronics/kicad-i18n
optfeature "Extended documentation" app-doc/kicad-doc
optfeature "Creating 3D models of components" media-gfx/wings
diff --git a/sci-electronics/kicad/kicad-6.0.7.ebuild b/sci-electronics/kicad/kicad-6.0.7.ebuild
new file mode 100644
index 00000000000..7471c53d9db
--- /dev/null
+++ b/sci-electronics/kicad/kicad-6.0.7.ebuild
@@ -0,0 +1,174 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+WX_GTK_VER="3.0-gtk3"
+
+inherit check-reqs cmake optfeature python-single-r1 toolchain-funcs wxwidgets xdg-utils
+
+DESCRIPTION="Electronic Schematic and PCB design tools"
+HOMEPAGE="https://www.kicad.org"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://gitlab.com/kicad/code/kicad.git"
+ inherit git-r3
+else
+ MY_PV="${PV/_rc/-rc}"
+ MY_P="${PN}-${MY_PV}"
+ SRC_URI="https://gitlab.com/kicad/code/${PN}/-/archive/${MY_PV}/${MY_P}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/${PN}-${MY_PV}"
+
+ if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ fi
+fi
+
+# BSD for bundled pybind
+LICENSE="GPL-2+ GPL-3+ Boost-1.0 BSD"
+SLOT="0"
+IUSE="doc examples ngspice nls openmp +occ +pcm"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# Contains bundled pybind but it's patched for wx
+# See https://gitlab.com/kicad/code/kicad/-/commit/74e4370a9b146b21883d6a2d1df46c7a10bd0424
+# Depend on opencascade:0 to get unslotted variant (so we know path to it), bug #833301
+COMMON_DEPEND="
+ !sci-electronics/kicad-i18n
+ dev-libs/boost:=[context,nls]
+ media-libs/freeglut
+ media-libs/glew:0=
+ >=media-libs/glm-0.9.9.1
+ media-libs/mesa[X(+)]
+ >=x11-libs/cairo-1.8.8:=
+ >=x11-libs/pixman-0.30
+ x11-libs/wxGTK:${WX_GTK_VER}[X,opengl]
+ $(python_gen_cond_dep '
+ dev-libs/boost:=[context,nls,python,${PYTHON_USEDEP}]
+ dev-python/wxpython:4.0[${PYTHON_USEDEP}]
+ ')
+ ${PYTHON_DEPS}
+ ngspice? (
+ >sci-electronics/ngspice-27[shared]
+ )
+ nls? (
+ sys-devel/gettext
+ )
+ occ? (
+ >=sci-libs/opencascade-7.3.0:0=
+ )
+"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}
+ sci-electronics/electronics-menu
+"
+BDEPEND=">=dev-lang/swig-3.0
+ doc? ( app-doc/doxygen )"
+
+if [[ ${PV} == 9999 ]] ; then
+ # x11-misc-util/macros only required on live ebuilds
+ BDEPEND+=" >=x11-misc/util-macros-1.18"
+fi
+
+CHECKREQS_DISK_BUILD="900M"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-scripts-install-fix.patch"
+ "${FILESDIR}/${PN}-6.0.6-unitialized-variable-fix.patch"
+)
+
+pkg_setup() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+
+ python-single-r1_pkg_setup
+ setup-wxwidgets
+ check-reqs_pkg_setup
+}
+
+src_unpack() {
+ if [[ ${PV} == 9999 ]]; then
+ git-r3_src_unpack
+ else
+ default_src_unpack
+ fi
+}
+
+src_configure() {
+ xdg_environment_reset
+
+ local mycmakeargs=(
+ -DKICAD_DOCS="${EPREFIX}/usr/share/doc/${PN}-doc-${PV}"
+
+ -DKICAD_SCRIPTING_WXPYTHON=ON
+
+ # Merged from separate -i18n package, bug #830274
+ -DKICAD_BUILD_I18N="$(usex nls)"
+ -DKICAD_I18N_UNIX_STRICT_PATH="$(usex nls)"
+
+ -DPYTHON_DEST="$(python_get_sitedir)"
+ -DPYTHON_EXECUTABLE="${PYTHON}"
+ -DPYTHON_INCLUDE_DIR="$(python_get_includedir)"
+ -DPYTHON_LIBRARY="$(python_get_library_path)"
+
+ -DKICAD_SPICE="$(usex ngspice)"
+ -DKICAD_PCM="$(usex pcm)"
+
+ -DKICAD_USE_OCC="$(usex occ)"
+ -DKICAD_INSTALL_DEMOS="$(usex examples)"
+ -DCMAKE_SKIP_RPATH="ON"
+ )
+
+ use occ && mycmakeargs+=(
+ -DOCC_INCLUDE_DIR="${CASROOT}"/include/opencascade
+ -DOCC_LIBRARY_DIR="${CASROOT}"/$(get_libdir)/opencascade
+ )
+
+ cmake_src_configure
+}
+
+src_compile() {
+ cmake_src_compile
+ if use doc; then
+ cmake_src_compile doxygen-docs
+ fi
+}
+
+src_test() {
+ # Test cannot find library in Portage's sandbox. Let's create a link so test can run.
+ ln -s "${BUILD_DIR}/eeschema/_eeschema.kiface" "${BUILD_DIR}/qa/eeschema/_eeschema.kiface" || die
+
+ # LD_LIBRARY_PATH is there to help it pick up the just-built libraries
+ LD_LIBRARY_PATH="${BUILD_DIR}/3d-viewer/3d_cache/sg:${LD_LIBRARY_PATH}" cmake_src_test
+}
+
+src_install() {
+ cmake_src_install
+ python_optimize
+
+ if use doc ; then
+ dodoc uncrustify.cfg
+ cd Documentation || die
+ dodoc -r *.txt kicad_doxygen_logo.png notes_about_pcbnew_new_file_format.odt doxygen/.
+ fi
+}
+
+pkg_postinst() {
+ optfeature "Component symbols library" sci-electronics/kicad-symbols
+ optfeature "Component footprints library" sci-electronics/kicad-footprints
+ optfeature "3D models of components " sci-electronics/kicad-packages3d
+ optfeature "Project templates" sci-electronics/kicad-templates
+ optfeature "Extended documentation" app-doc/kicad-doc
+ optfeature "Creating 3D models of components" media-gfx/wings
+
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+}
diff --git a/sci-electronics/kicad/kicad-6.0.9.ebuild b/sci-electronics/kicad/kicad-6.0.9.ebuild
new file mode 100644
index 00000000000..7471c53d9db
--- /dev/null
+++ b/sci-electronics/kicad/kicad-6.0.9.ebuild
@@ -0,0 +1,174 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+WX_GTK_VER="3.0-gtk3"
+
+inherit check-reqs cmake optfeature python-single-r1 toolchain-funcs wxwidgets xdg-utils
+
+DESCRIPTION="Electronic Schematic and PCB design tools"
+HOMEPAGE="https://www.kicad.org"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://gitlab.com/kicad/code/kicad.git"
+ inherit git-r3
+else
+ MY_PV="${PV/_rc/-rc}"
+ MY_P="${PN}-${MY_PV}"
+ SRC_URI="https://gitlab.com/kicad/code/${PN}/-/archive/${MY_PV}/${MY_P}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/${PN}-${MY_PV}"
+
+ if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ fi
+fi
+
+# BSD for bundled pybind
+LICENSE="GPL-2+ GPL-3+ Boost-1.0 BSD"
+SLOT="0"
+IUSE="doc examples ngspice nls openmp +occ +pcm"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# Contains bundled pybind but it's patched for wx
+# See https://gitlab.com/kicad/code/kicad/-/commit/74e4370a9b146b21883d6a2d1df46c7a10bd0424
+# Depend on opencascade:0 to get unslotted variant (so we know path to it), bug #833301
+COMMON_DEPEND="
+ !sci-electronics/kicad-i18n
+ dev-libs/boost:=[context,nls]
+ media-libs/freeglut
+ media-libs/glew:0=
+ >=media-libs/glm-0.9.9.1
+ media-libs/mesa[X(+)]
+ >=x11-libs/cairo-1.8.8:=
+ >=x11-libs/pixman-0.30
+ x11-libs/wxGTK:${WX_GTK_VER}[X,opengl]
+ $(python_gen_cond_dep '
+ dev-libs/boost:=[context,nls,python,${PYTHON_USEDEP}]
+ dev-python/wxpython:4.0[${PYTHON_USEDEP}]
+ ')
+ ${PYTHON_DEPS}
+ ngspice? (
+ >sci-electronics/ngspice-27[shared]
+ )
+ nls? (
+ sys-devel/gettext
+ )
+ occ? (
+ >=sci-libs/opencascade-7.3.0:0=
+ )
+"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}
+ sci-electronics/electronics-menu
+"
+BDEPEND=">=dev-lang/swig-3.0
+ doc? ( app-doc/doxygen )"
+
+if [[ ${PV} == 9999 ]] ; then
+ # x11-misc-util/macros only required on live ebuilds
+ BDEPEND+=" >=x11-misc/util-macros-1.18"
+fi
+
+CHECKREQS_DISK_BUILD="900M"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-scripts-install-fix.patch"
+ "${FILESDIR}/${PN}-6.0.6-unitialized-variable-fix.patch"
+)
+
+pkg_setup() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+
+ python-single-r1_pkg_setup
+ setup-wxwidgets
+ check-reqs_pkg_setup
+}
+
+src_unpack() {
+ if [[ ${PV} == 9999 ]]; then
+ git-r3_src_unpack
+ else
+ default_src_unpack
+ fi
+}
+
+src_configure() {
+ xdg_environment_reset
+
+ local mycmakeargs=(
+ -DKICAD_DOCS="${EPREFIX}/usr/share/doc/${PN}-doc-${PV}"
+
+ -DKICAD_SCRIPTING_WXPYTHON=ON
+
+ # Merged from separate -i18n package, bug #830274
+ -DKICAD_BUILD_I18N="$(usex nls)"
+ -DKICAD_I18N_UNIX_STRICT_PATH="$(usex nls)"
+
+ -DPYTHON_DEST="$(python_get_sitedir)"
+ -DPYTHON_EXECUTABLE="${PYTHON}"
+ -DPYTHON_INCLUDE_DIR="$(python_get_includedir)"
+ -DPYTHON_LIBRARY="$(python_get_library_path)"
+
+ -DKICAD_SPICE="$(usex ngspice)"
+ -DKICAD_PCM="$(usex pcm)"
+
+ -DKICAD_USE_OCC="$(usex occ)"
+ -DKICAD_INSTALL_DEMOS="$(usex examples)"
+ -DCMAKE_SKIP_RPATH="ON"
+ )
+
+ use occ && mycmakeargs+=(
+ -DOCC_INCLUDE_DIR="${CASROOT}"/include/opencascade
+ -DOCC_LIBRARY_DIR="${CASROOT}"/$(get_libdir)/opencascade
+ )
+
+ cmake_src_configure
+}
+
+src_compile() {
+ cmake_src_compile
+ if use doc; then
+ cmake_src_compile doxygen-docs
+ fi
+}
+
+src_test() {
+ # Test cannot find library in Portage's sandbox. Let's create a link so test can run.
+ ln -s "${BUILD_DIR}/eeschema/_eeschema.kiface" "${BUILD_DIR}/qa/eeschema/_eeschema.kiface" || die
+
+ # LD_LIBRARY_PATH is there to help it pick up the just-built libraries
+ LD_LIBRARY_PATH="${BUILD_DIR}/3d-viewer/3d_cache/sg:${LD_LIBRARY_PATH}" cmake_src_test
+}
+
+src_install() {
+ cmake_src_install
+ python_optimize
+
+ if use doc ; then
+ dodoc uncrustify.cfg
+ cd Documentation || die
+ dodoc -r *.txt kicad_doxygen_logo.png notes_about_pcbnew_new_file_format.odt doxygen/.
+ fi
+}
+
+pkg_postinst() {
+ optfeature "Component symbols library" sci-electronics/kicad-symbols
+ optfeature "Component footprints library" sci-electronics/kicad-footprints
+ optfeature "3D models of components " sci-electronics/kicad-packages3d
+ optfeature "Project templates" sci-electronics/kicad-templates
+ optfeature "Extended documentation" app-doc/kicad-doc
+ optfeature "Creating 3D models of components" media-gfx/wings
+
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+}
diff --git a/sci-electronics/kicad/kicad-9999.ebuild b/sci-electronics/kicad/kicad-9999.ebuild
index 2105a3f3d54..4f5c4e7284c 100644
--- a/sci-electronics/kicad/kicad-9999.ebuild
+++ b/sci-electronics/kicad/kicad-9999.ebuild
@@ -37,7 +37,7 @@ REQUIRED_USE="${PYTHON_REQUIRED_USE}"
# Depend on opencascade:0 to get unslotted variant (so we know path to it), bug #833301
COMMON_DEPEND="
!sci-electronics/kicad-i18n
- >=dev-libs/boost-1.61:=[context,nls]
+ dev-libs/boost:=[context,nls]
media-libs/freeglut
media-libs/glew:0=
>=media-libs/glm-0.9.9.1
@@ -46,7 +46,7 @@ COMMON_DEPEND="
>=x11-libs/pixman-0.30
x11-libs/wxGTK:${WX_GTK_VER}[X,opengl]
$(python_gen_cond_dep '
- >=dev-libs/boost-1.61:=[context,nls,python,${PYTHON_USEDEP}]
+ dev-libs/boost:=[context,nls,python,${PYTHON_USEDEP}]
dev-python/wxpython:4.0[${PYTHON_USEDEP}]
')
${PYTHON_DEPS}
diff --git a/sci-electronics/kicad/metadata.xml b/sci-electronics/kicad/metadata.xml
index cd956ca81c5..a75b4ff9ecf 100644
--- a/sci-electronics/kicad/metadata.xml
+++ b/sci-electronics/kicad/metadata.xml
@@ -21,7 +21,7 @@
schematic diagrams and printed circuit board artwork.
</longdescription>
<upstream>
- <remote-id type="github">KiCad/kicad-i18n</remote-id>
+ <remote-id type="gitlab">kicad/code/kicad</remote-id>
<remote-id type="launchpad">kicad</remote-id>
</upstream>
</pkgmetadata>
diff --git a/sci-electronics/klayout/Manifest b/sci-electronics/klayout/Manifest
index 5af88e78120..06d674ca2e4 100644
--- a/sci-electronics/klayout/Manifest
+++ b/sci-electronics/klayout/Manifest
@@ -1,2 +1,2 @@
DIST klayout-0.27.10.tar.gz 57428098 BLAKE2B 3f64ed6a65ec7d2732691594f50d02f160725a3306cd0d0593f8c2b5978d5cf76e004ed3347bb6e9d9473b8e0974bc04de101ec3bf168faf147e6c64c5f0bdcb SHA512 a637b0a0bd1eaa3c858c333791c5592bc8a4dc1db7413b83432d7bedce9ba7e1210c76086a4f39504bc23a11778a45370b86262c88daa579517e1dee940ecda7
-DIST klayout-0.27.7.tar.gz 57348398 BLAKE2B c717d1041e2b2f1ec4835db3861a8c7ff15d2cd703d3424d9219cb0fab06471a6838503c882b841be45c9e1b9280d1f7a099f9824c6e286940d3b44713927974 SHA512 f4b4f3f2216307df5dca3b9c9c4eee5b45e5811a3307f36d3ad759d33beb8cd83880485284492583b891ee8bbf2866cae0ce87b5c5971478d8ad8daad315bb09
+DIST klayout-0.27.12.tar.gz 57616686 BLAKE2B 18c69c799412554547f9b671c80f097b93b15fb04272c4ea6f06b54783fa97ac0da5f50ea61fbf88e75e5436524c9271ffdb7560911b7b8e130a4a287ba2cf60 SHA512 25bb854b9f265801a9ee13bdead0ae1fa4ce21bd0d018c10b0c89aff72f48d4131e80987750bd47e3996296ced1936fffb4ed02daa5a7bdff5f05ae6e820e067
diff --git a/sci-electronics/klayout/klayout-0.27.10.ebuild b/sci-electronics/klayout/klayout-0.27.10.ebuild
index 75368510a1f..9f245e2a354 100644
--- a/sci-electronics/klayout/klayout-0.27.10.ebuild
+++ b/sci-electronics/klayout/klayout-0.27.10.ebuild
@@ -17,7 +17,7 @@ if [[ ${PV} = 9999* ]]; then
EGIT_CHECKOUT_DIR=${WORKDIR}/all/${P}
else
SRC_URI="https://www.klayout.org/downloads/source/${P}.tar.gz"
- KEYWORDS="~amd64 ~x86"
+ KEYWORDS="amd64 ~x86"
fi
DESCRIPTION="Viewer and editor for GDS and OASIS integrated circuit layouts"
diff --git a/sci-electronics/klayout/klayout-0.27.7.ebuild b/sci-electronics/klayout/klayout-0.27.12.ebuild
index 36a5f7cd266..8aceae0ea20 100644
--- a/sci-electronics/klayout/klayout-0.27.7.ebuild
+++ b/sci-electronics/klayout/klayout-0.27.12.ebuild
@@ -1,13 +1,13 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
RUBY_OPTIONAL=no
USE_RUBY="ruby27"
# note: define maximally ONE implementation here
-PYTHON_COMPAT=( python3_{8,9,10,11} )
+PYTHON_COMPAT=( python3_{9,10,11} )
inherit toolchain-funcs python-single-r1 ruby-ng
@@ -17,7 +17,7 @@ if [[ ${PV} = 9999* ]]; then
EGIT_CHECKOUT_DIR=${WORKDIR}/all/${P}
else
SRC_URI="https://www.klayout.org/downloads/source/${P}.tar.gz"
- KEYWORDS="amd64 ~x86"
+ KEYWORDS="~amd64 ~x86"
fi
DESCRIPTION="Viewer and editor for GDS and OASIS integrated circuit layouts"
diff --git a/sci-electronics/klayout/klayout-9999.ebuild b/sci-electronics/klayout/klayout-9999.ebuild
index 75368510a1f..8aceae0ea20 100644
--- a/sci-electronics/klayout/klayout-9999.ebuild
+++ b/sci-electronics/klayout/klayout-9999.ebuild
@@ -1,13 +1,13 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
RUBY_OPTIONAL=no
USE_RUBY="ruby27"
# note: define maximally ONE implementation here
-PYTHON_COMPAT=( python3_{8,9,10,11} )
+PYTHON_COMPAT=( python3_{9,10,11} )
inherit toolchain-funcs python-single-r1 ruby-ng
diff --git a/sci-electronics/librepcb/Manifest b/sci-electronics/librepcb/Manifest
index 3089c1f2947..52fa31a3920 100644
--- a/sci-electronics/librepcb/Manifest
+++ b/sci-electronics/librepcb/Manifest
@@ -1,2 +1,2 @@
-DIST librepcb-0.1.5-source.zip 13111207 BLAKE2B 3a8c5f8b310971e1a6bd5b1fa8eb8059cd1c571e9ab369bf80c946ccbd320c258d5e8c65bea3b5a5bc4d85a38cac8205d5bbfbaad6aebf0a031315b73e9b99f4 SHA512 ed8c8fc154a03082bcbfe414bdb934870d09cf137811036a3ce59d70e1ad0b582fea64c31037c84e76a939bf1d087caabb9aa349578b525bce882e853a969653
DIST librepcb-0.1.6-source.zip 12671974 BLAKE2B bed8d6134159ec663dd88f9933ef0dad6d3bca70776537bf2e16397f0e4fd968a41661d95a118008fcf9d7d6d2432ebac81d78153b3c3ce8d69c64fb59aaf70e SHA512 a51ac2830d65bbd10be8904ecdcc6a7781d80c95e1423ed5bd04fcd009a0b7135ff3a49a87afe9e99006ae1f6ae44f2341021e5733675f2f20b05525860da5d7
+DIST librepcb-0.1.7-source.zip 13112342 BLAKE2B 53b6dad94febee84b60df1d848936f44093698c9965d4b24815395ff564a5634ab84f38574e7a1b6891f2cdd99b5162eb3747bbfdde2dfc2d680cff76a4e1cc1 SHA512 285ad661b9c528b1aa05c9a0482034af26e9344eb08a119ffabbadf518957a9784ccb9582bcfabcf5bf8982c33b6286b39722c0d59072df983925b3949b3e6c5
diff --git a/sci-electronics/librepcb/files/librepcb-0.1.5-quazip1.x.patch b/sci-electronics/librepcb/files/librepcb-0.1.5-quazip1.x.patch
deleted file mode 100644
index 4e77ff9435a..00000000000
--- a/sci-electronics/librepcb/files/librepcb-0.1.5-quazip1.x.patch
+++ /dev/null
@@ -1,57 +0,0 @@
-From 7e01cb556ce5daee19b0270dded8eca9fcb1ea60 Mon Sep 17 00:00:00 2001
-From: Victor Kustov <ktrace@yandex.ru>
-Date: Tue, 25 May 2021 01:52:57 +0300
-Subject: [PATCH] Fix for quazip 1.x usage
-
----
- libs/librepcb/common/common.pro | 2 +-
- libs/librepcb/common/fileio/transactionalfilesystem.cpp | 6 +++---
- libs/librepcb/common/network/filedownload.cpp | 2 +-
- 3 files changed, 5 insertions(+), 5 deletions(-)
-
-diff --git a/libs/librepcb/common/common.pro b/libs/librepcb/common/common.pro
-index 6a6b623..d6ce077 100644
---- a/libs/librepcb/common/common.pro
-+++ b/libs/librepcb/common/common.pro
-@@ -333,7 +333,7 @@ FORMS += \
-
- # quazip
- contains(UNBUNDLE, quazip) {
-- PKGCONFIG += quazip
-+ PKGCONFIG += quazip1-qt5
- } else {
- INCLUDEPATH += ../../quazip
- }
-diff --git a/libs/librepcb/common/fileio/transactionalfilesystem.cpp b/libs/librepcb/common/fileio/transactionalfilesystem.cpp
-index c98c84e..7b4927b 100644
---- a/libs/librepcb/common/fileio/transactionalfilesystem.cpp
-+++ b/libs/librepcb/common/fileio/transactionalfilesystem.cpp
-@@ -27,9 +27,9 @@
- #include "sexpression.h"
-
- #ifdef SYSTEM_QUAZIP
--#include <quazip5/quazip.h>
--#include <quazip5/quazipdir.h>
--#include <quazip5/quazipfile.h>
-+#include <quazip.h>
-+#include <quazipdir.h>
-+#include <quazipfile.h>
- #else
- #include <quazip/quazip.h>
- #include <quazip/quazipdir.h>
-diff --git a/libs/librepcb/common/network/filedownload.cpp b/libs/librepcb/common/network/filedownload.cpp
-index 110fae3..718a137 100644
---- a/libs/librepcb/common/network/filedownload.cpp
-+++ b/libs/librepcb/common/network/filedownload.cpp
-@@ -27,7 +27,7 @@
- #include <QtCore>
-
- #ifdef SYSTEM_QUAZIP
--#include <quazip5/JlCompress.h>
-+#include <JlCompress.h>
- #else
- #include <quazip/JlCompress.h>
- #endif
---
-2.26.3
-
diff --git a/sci-electronics/librepcb/librepcb-0.1.5.ebuild b/sci-electronics/librepcb/librepcb-0.1.5.ebuild
deleted file mode 100644
index 84229df8b49..00000000000
--- a/sci-electronics/librepcb/librepcb-0.1.5.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 2009-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit qmake-utils virtualx xdg
-
-DESCRIPTION="Free EDA software to develop printed circuit boards"
-HOMEPAGE="https://librepcb.org/"
-SRC_URI="https://download.librepcb.org/releases/${PV}/${P}-source.zip"
-
-LICENSE="GPL-3+"
-SLOT="0"
-KEYWORDS="~amd64"
-
-BDEPEND="
- app-arch/unzip
- dev-qt/linguist-tools:5"
-
-RDEPEND="
- dev-libs/quazip:=
- dev-qt/qtcore:5
- dev-qt/qtconcurrent:5
- dev-qt/qtgui:5
- dev-qt/qtnetwork:5[ssl]
- dev-qt/qtopengl:5
- dev-qt/qtprintsupport:5
- dev-qt/qtsql:5
- dev-qt/qtsvg:5
- dev-qt/qtwidgets:5
- dev-qt/qtxml:5
- sys-libs/zlib"
-
-DEPEND="${RDEPEND}
- dev-qt/qttest:5"
-
-PATCHES=( "${FILESDIR}"/${P}-quazip1.x.patch )
-
-src_configure() {
- local pro_lst
- for pro_lst in $(find libs/librepcb/ -type f -name "*.pro" || die)
- do
- sed -e 's:target.path = $${PREFIX}/lib:target.path = $${PREFIX}/'$(get_libdir)':' -i ${pro_lst} || die "Can't fix ${pro_lst} file"
- done
- eqmake5 -r PREFIX="/usr" UNBUNDLE+="quazip"
-}
-
-src_install() {
- emake INSTALL_ROOT="${D}" install
-}
-
-src_test() {
- cd "${S}"/output
- virtx ./librepcb-unittests --gtest_filter=-SystemInfoTest.testGetUsername
-}
diff --git a/sci-electronics/librepcb/librepcb-0.1.6.ebuild b/sci-electronics/librepcb/librepcb-0.1.6-r1.ebuild
index e8eb1533138..ff7207a0da9 100644
--- a/sci-electronics/librepcb/librepcb-0.1.6.ebuild
+++ b/sci-electronics/librepcb/librepcb-0.1.6-r1.ebuild
@@ -19,7 +19,7 @@ BDEPEND="
RDEPEND="
dev-cpp/muParser:=
- dev-libs/quazip:=
+ dev-libs/quazip:=[qt5(+)]
dev-qt/qtcore:5
dev-qt/qtconcurrent:5
dev-qt/qtgui:5
diff --git a/sci-electronics/librepcb/librepcb-0.1.7.ebuild b/sci-electronics/librepcb/librepcb-0.1.7.ebuild
new file mode 100644
index 00000000000..c2752d3b0f2
--- /dev/null
+++ b/sci-electronics/librepcb/librepcb-0.1.7.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2009-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake virtualx xdg
+
+DESCRIPTION="Free EDA software to develop printed circuit boards"
+HOMEPAGE="https://librepcb.org/"
+SRC_URI="https://download.librepcb.org/releases/${PV}/${P}-source.zip"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="
+ app-arch/unzip
+ dev-qt/linguist-tools:5"
+
+RDEPEND="
+ dev-cpp/muParser:=
+ dev-libs/quazip:=[qt5(+)]
+ dev-qt/qtcore:5
+ dev-qt/qtconcurrent:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5[ssl]
+ dev-qt/qtopengl:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtsql:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ sys-libs/zlib"
+
+DEPEND="${RDEPEND}
+ dev-qt/qttest:5"
+
+src_configure() {
+ local mycmakeargs+=(
+ -DUNBUNDLE_QUAZIP=ON
+ -DUNBUNDLE_MUPARSER=ON )
+ cmake_src_configure
+}
+
+src_test() {
+ cd "${BUILD_DIR}"/tests/unittests || die
+ # https://github.com/LibrePCB/LibrePCB/issues/516
+ virtx ./librepcb-unittests --gtest_filter=-SystemInfoTest.testGetUsername:CategoryTreeModelTest.testSort:BoardPlaneFragmentsBuilderTest.testFragments:BoardGerberExportTest.test
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ ewarn
+ ewarn "LibrePCB builds might not be exactly reproducible with e.g. -march={native,haswell,...}."
+ ewarn "This can cause minor issues, see for example:"
+ ewarn "https://github.com/LibrePCB/LibrePCB/issues/516"
+ ewarn "For a completely reproducible build use: -march=x86-64."
+ ewarn
+}
diff --git a/sci-electronics/librepcb/metadata.xml b/sci-electronics/librepcb/metadata.xml
index bef24d2c233..1daccaad100 100644
--- a/sci-electronics/librepcb/metadata.xml
+++ b/sci-electronics/librepcb/metadata.xml
@@ -1,5 +1,21 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!-- maintainer-needed -->
+ <maintainer type="project" proxied="proxy">
+ <email>sci-electronics@gentoo.org</email>
+ <description>Gentoo Electronics Project</description>
+ </maintainer>
+ <maintainer type="person" proxied="yes">
+ <email>ktrace@yandex.ru</email>
+ <name>Victor V. Kustov</name>
+ </maintainer>
+ <longdescription lang="en">
+ LibrePCB is a free EDA software to develop printed circuit boards.
+ Cross-platform, multilingual (both application and library elements), intuitive, modern and easy-to-use graphical user interface.
+ - All-In-One: project management + library/schematic/board editors
+ - Very powerful library design with some innovative concepts
+ - Human-readable file formats for both libraries and projects
+ - Multi-PCB feature (different PCB variants of the same schematic)
+ - Automatic netlist synchronisation between schematic and board
+ </longdescription>
</pkgmetadata>
diff --git a/sci-electronics/ngspice/ngspice-36.ebuild b/sci-electronics/ngspice/ngspice-36.ebuild
index 8a616095f43..254b93c83e3 100644
--- a/sci-electronics/ngspice/ngspice-36.ebuild
+++ b/sci-electronics/ngspice/ngspice-36.ebuild
@@ -13,7 +13,7 @@ LICENSE="BSD GPL-2"
SLOT="0"
IUSE="X debug deprecated doc examples fftw openmp +readline +shared tcl"
-KEYWORDS="~amd64 ~arm64 ~ppc ~riscv ~sparc ~x86 ~x64-macos"
+KEYWORDS="amd64 ~arm64 ~ppc ~riscv ~sparc x86 ~x64-macos"
RESTRICT="!test? ( test )"
diff --git a/sci-electronics/petrify/petrify-4.2-r1.ebuild b/sci-electronics/petrify/petrify-4.2-r1.ebuild
index 4620813921e..ee66b2212e7 100644
--- a/sci-electronics/petrify/petrify-4.2-r1.ebuild
+++ b/sci-electronics/petrify/petrify-4.2-r1.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DESCRIPTION="Synthesize Petri nets into asynchronous circuits"
HOMEPAGE="http://www.lsi.upc.edu/~jordicf/petrify/"
-SRC_URI="http://www.lsi.upc.edu/~jordicf/petrify/distrib/petrify-4.2-linux.tgz"
+SRC_URI="http://www.lsi.upc.edu/~jordicf/petrify/distrib/${P}-linux.tgz"
S="${WORKDIR}"/${PN}
LICENSE="Old-MIT"
diff --git a/sci-electronics/puff/files/puff-20181104-Makefile.patch b/sci-electronics/puff/files/puff-20181104-Makefile.patch
index a874b9173ae..c51c87d1d33 100644
--- a/sci-electronics/puff/files/puff-20181104-Makefile.patch
+++ b/sci-electronics/puff/files/puff-20181104-Makefile.patch
@@ -2,7 +2,7 @@
# respect CC and LD
--- Makefile.old 2021-07-03 16:34:49.937098627 +0200
+++ Makefile 2021-07-03 16:33:56.615284555 +0200
-@@ -1,12 +1,13 @@
+@@ -1,12 +1,14 @@
X11LIBDIR = /usr/X11R6/lib
PASCALCOMPILER = fpc
-CC = gcc
@@ -15,7 +15,8 @@
puff: $(POBJS) puff_c.o ppas.sh
- sed 's/link.res/link.res puff_c.o -lX11/' <ppas.sh >ppasx.sh
+ sed -i -e 's!^[^[:space:]]\+ -b!$(LD) -b!g' ppas.sh
-+ sed 's/.res/.res $(LDFLAGS) puff_c.o -lX11/' <ppas.sh >ppasx.sh
++ sed -i -e 's/\-b [^[:space:]]\+//g' ppas.sh
++ sed 's:.res:.res $(LDFLAGS) puff_c.o -lX11:' <ppas.sh >ppasx.sh
sh ppasx.sh
%.o: %.pas
diff --git a/sci-electronics/puff/puff-20181104.ebuild b/sci-electronics/puff/puff-20181104.ebuild
index 3ec8bccda1f..80838dd3c7e 100644
--- a/sci-electronics/puff/puff-20181104.ebuild
+++ b/sci-electronics/puff/puff-20181104.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -21,11 +21,18 @@ src_prepare() {
default
# fix lib path for X11 and dont ignore LDFLAGS
# respect CC and LD
+ # additional drop explicite format option for linker (bug #831569)
eapply -p0 "${FILESDIR}"/$P-Makefile.patch
+ # add missing LDPATH for libX11.so
+ sed -i -e "s:-lX11:-L/usr/$(get_libdir) -lX11:g" Makefile || die
+ # drop no longer needed and now unsupported paramter '-T' (bug #8802225)
+ sed -i -e "s: -T : :g" Makefile || die
eapply_user
}
src_compile() {
+# # fails to compile with -flto (bug #862516)
+ filter-lto
LDFLAGS="$(raw-ldflags)"
emake -j1 CC="$(tc-getCC)" LD="$(tc-getLD)"
}
diff --git a/sci-electronics/pulseview/pulseview-0.4.2-r1.ebuild b/sci-electronics/pulseview/pulseview-0.4.2-r1.ebuild
index a71826cfa06..8e5713ee00e 100644
--- a/sci-electronics/pulseview/pulseview-0.4.2-r1.ebuild
+++ b/sci-electronics/pulseview/pulseview-0.4.2-r1.ebuild
@@ -26,7 +26,7 @@ BDEPEND="
"
RDEPEND="
>=dev-cpp/glibmm-2.28.0:2
- >=dev-libs/boost-1.55:=
+ dev-libs/boost:=
>=dev-libs/glib-2.28.0:2
dev-qt/qtcore:5
dev-qt/qtgui:5
diff --git a/sci-electronics/pulseview/pulseview-9999.ebuild b/sci-electronics/pulseview/pulseview-9999.ebuild
index 330e533dbf8..08b7cf0d812 100644
--- a/sci-electronics/pulseview/pulseview-9999.ebuild
+++ b/sci-electronics/pulseview/pulseview-9999.ebuild
@@ -26,7 +26,7 @@ BDEPEND="
"
RDEPEND="
>=dev-cpp/glibmm-2.28.0:2
- >=dev-libs/boost-1.55:=
+ dev-libs/boost:=
>=dev-libs/glib-2.28.0:2
dev-qt/qtcore:5
dev-qt/qtgui:5
diff --git a/sci-electronics/xcircuit/Manifest b/sci-electronics/xcircuit/Manifest
index 081de064ba6..bcbcdccac84 100644
--- a/sci-electronics/xcircuit/Manifest
+++ b/sci-electronics/xcircuit/Manifest
@@ -1,2 +1 @@
DIST xcircuit-3.10.30.tgz 1619256 BLAKE2B 5316a2dc7d9864eefbdbf1647920c322c85adfbe27289a7c4dfc719940921754a6e616af530b20b3ffa159004ce6808cceb6e4d9349dcbc110e2e580a574c7a1 SHA512 52bf65fa9b5c095092f60abe32b3c88180365cc8043a8e95652ea9ab20e01c3e790989fe41171ecd1b2c60684016f6963c4851105b17a1c8a3bac8d75db84a8e
-DIST xcircuit-3.9.73.tgz 1620922 BLAKE2B ac3f8e6f9370efd720b57a9cd7c487621534f477d1af4fd267d311da3bd949886eccd1c8e8e59071689637272ca23f985dd1809594aab692fa60ea2ca8f8a456 SHA512 2dfeb130a48c99bf08bdff94250f7157acd283bc3f3d6b41f963346deb1241aca0d59a3e8d60dbd36a4aa60acd89e131b263ddbf489b2b44e7e1831714d7b703
diff --git a/sci-electronics/xcircuit/metadata.xml b/sci-electronics/xcircuit/metadata.xml
index 4139bb1a753..886eda20dd1 100644
--- a/sci-electronics/xcircuit/metadata.xml
+++ b/sci-electronics/xcircuit/metadata.xml
@@ -23,5 +23,6 @@
<changelog>http://www.opencircuitdesign.com/xcircuit/changes.html</changelog>
<doc lang="en">http://www.opencircuitdesign.com/xcircuit/reference.html</doc>
<bugs-to>mailto:tim@opencircuitdesign.com</bugs-to>
+ <remote-id type="github">RTimothyEdwards/xcircuit</remote-id>
</upstream>
</pkgmetadata>
diff --git a/sci-electronics/xcircuit/xcircuit-3.10.30.ebuild b/sci-electronics/xcircuit/xcircuit-3.10.30.ebuild
index 83824838666..2f9ba567b76 100644
--- a/sci-electronics/xcircuit/xcircuit-3.10.30.ebuild
+++ b/sci-electronics/xcircuit/xcircuit-3.10.30.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -11,7 +11,7 @@ HOMEPAGE="http://opencircuitdesign.com/xcircuit"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~x86"
+KEYWORDS="amd64 ~ppc x86"
IUSE="tcl"
DEPEND="
diff --git a/sci-electronics/xcircuit/xcircuit-3.9.73.ebuild b/sci-electronics/xcircuit/xcircuit-3.9.73.ebuild
deleted file mode 100644
index d44b7bc85ed..00000000000
--- a/sci-electronics/xcircuit/xcircuit-3.9.73.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit autotools
-
-DESCRIPTION="Circuit drawing and schematic capture program"
-SRC_URI="http://opencircuitdesign.com/xcircuit/archive/${P}.tgz"
-HOMEPAGE="http://opencircuitdesign.com/xcircuit"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ~ppc x86"
-IUSE="tcl"
-
-DEPEND="
- app-text/ghostscript-gpl
- media-libs/fontconfig:1.0=
- sys-libs/zlib:=
- x11-libs/cairo
- x11-libs/libICE
- x11-libs/libSM
- x11-libs/libX11
- x11-libs/libXpm
- x11-libs/libXt
- tcl? (
- dev-lang/tcl:0=
- dev-lang/tk:0=
- )
-"
-RDEPEND=${DEPEND}
-
-src_prepare() {
- default
- mv configure.{in,ac} || die
- eautoreconf
-}
-
-src_configure() {
- local myeconfargs=(
- --with-cairo
- --with-ngspice
- $(use_with tcl)
- $(use_with tcl tcllibs "/usr/$(get_libdir)")
- $(use_with tcl tk)
- )
- econf "${myeconfargs[@]}"
-}
-
-src_install() {
- default
- dodoc -r examples
- docompress -x /usr/share/doc/${PF}/examples
-}
diff --git a/sci-electronics/xnec2c/Manifest b/sci-electronics/xnec2c/Manifest
index eb5069f605a..4eaf602c3d4 100644
--- a/sci-electronics/xnec2c/Manifest
+++ b/sci-electronics/xnec2c/Manifest
@@ -1 +1 @@
-DIST xnec2c-v4.4.11.tar.gz 1061014 BLAKE2B f7af594a1f97b0ad9d93b57235afaf04a8500768396c49608c96849b761828206f2c48afbdb067c9a4138732d4d4e6ad7f6f90a5a547487928efdfe77d3bad88 SHA512 9b5bf71ae45b4d70030eb78793d54d2aa8691afcfcb398b8b23be6508d77a510e5e8a26b6c978b9ea6031fbf5903fd765263d4b19691011187daf58feac612e2
+DIST xnec2c-v4.4.12.tar.gz 1496988 BLAKE2B dbcea1e24382b9f2bb6e881007b44dcf99b9caa7f970ecbb1363e1a0e232d9d1bda6fe68f90622d81cdc69b3b9ff6019dd4b123d6a79f8c6bd088dbd804354b8 SHA512 0d1711260d7f69633d9e6bb559f3b56c2a25414f75ed913c643c0aaad5e4062834ce6c7c7816741f65436173b331e6f8f957c4a624a77214414865bac94ab7e8
diff --git a/sci-electronics/xnec2c/xnec2c-4.4.11.ebuild b/sci-electronics/xnec2c/xnec2c-4.4.12.ebuild
index edc8563c6bd..edc8563c6bd 100644
--- a/sci-electronics/xnec2c/xnec2c-4.4.11.ebuild
+++ b/sci-electronics/xnec2c/xnec2c-4.4.12.ebuild
diff --git a/sci-electronics/xoscope/Manifest b/sci-electronics/xoscope/Manifest
index 0a0abf655aa..b9770c340d5 100644
--- a/sci-electronics/xoscope/Manifest
+++ b/sci-electronics/xoscope/Manifest
@@ -1 +1 @@
-DIST xoscope-2.2.tar.gz 307319 BLAKE2B 860fe234e5958a005ff0cff5143fcc0711d69b958e2f6277589d08074001872b065ecb435493285231ff0c61aea1b50b221aa36127b25947184e059e951a70ec SHA512 77a1d7d673af3d82e5a3d563d6901c3d6f5a16a1d889e9b95ac2d7d10c8036461a94fb841266b6d131e96303d4fce47b4bc8255b3855690e9148ead6c38b74cd
+DIST xoscope-2.3.tar.gz 390105 BLAKE2B 140dd39a9fa754c9ec274041ed0f64124f58b68fabc56a940498d81698146e8474040728360b25ece367cf64bf6b31e2e04b246529d73d4829242b8570eadc3d SHA512 9f1c15a240644027927e1bc39d2a0204d03b8dbe9d1d2aed974d062777562c6877d46f6e3768cf506799d902373fd26a090d94821b0f791f8f3151f7bb2e7eee
diff --git a/sci-electronics/xoscope/files/xoscope-2.2-fno-common.patch b/sci-electronics/xoscope/files/xoscope-2.2-fno-common.patch
deleted file mode 100644
index 124a8fdd767..00000000000
--- a/sci-electronics/xoscope/files/xoscope-2.2-fno-common.patch
+++ /dev/null
@@ -1,16 +0,0 @@
-Description: Fix FTBFS with GCC 10
-Bug-Debian: https://bugs.debian.org/957990
-Forwarded: https://sourceforge.net/p/xoscope/discussion/23485/thread/d6fba12f59/
-Author: Raymundo Cassani <raymundo.cassani@gmail.com>
-Last-Update: 2020-05-20
-
---- a/display.c
-+++ b/display.c
-@@ -35,7 +35,6 @@
- #define DEBUG 0
-
- int triggered = 0; /* whether we've triggered or not */
--void *font;
- int math_warning = 0; /* TRUE if math has a problem */
-
- struct signal_stats stats;
diff --git a/sci-electronics/xoscope/xoscope-2.2.ebuild b/sci-electronics/xoscope/xoscope-2.3.ebuild
index 433adcd9e38..f2b41d1c55c 100644
--- a/sci-electronics/xoscope/xoscope-2.2.ebuild
+++ b/sci-electronics/xoscope/xoscope-2.3.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit autotools linux-info
@@ -14,19 +14,19 @@ SLOT="0"
KEYWORDS="amd64 x86"
RDEPEND="
+ dev-libs/glib:2
+ media-libs/alsa-lib
sci-libs/fftw:3.0=
virtual/man
- x11-libs/gtkdatabox"
+ x11-libs/gtk+:3
+ >=x11-libs/gtkdatabox-1"
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"
CONFIG_CHECK="~!SND_PCM_OSS"
ERROR_SND_PCM_OSS="CONFIG_SND_PCM_OSS is needed to support sound card input via /dev/dsp"
-PATCHES=(
- "${FILESDIR}"/${P}-man_no_-Tutf8.patch
- "${FILESDIR}"/${P}-fno-common.patch
-)
+PATCHES=( "${FILESDIR}"/${PN}-2.2-man_no_-Tutf8.patch )
src_prepare() {
default